package com.mysql.jdbc.log;

import com.mysql.jdbc.SQLError;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.sql.SQLException;

/* loaded from: com_mysql_jdbc_log.jar:com/mysql/jdbc/log/LogFactory.class */
public class LogFactory {
    static Class class$com$mysql$jdbc$log$Log;
    static Class class$java$lang$String;

    public static Log getLogger(String className, String instanceName) throws SQLException {
        Class cls;
        Class cls2;
        Class loggerClass;
        Class<?> cls3;
        if (className == null) {
            throw SQLError.createSQLException("Logger class can not be NULL", "S1009");
        }
        if (instanceName == null) {
            throw SQLError.createSQLException("Logger instance name can not be NULL", "S1009");
        }
        try {
            try {
                loggerClass = Class.forName(className);
            } catch (ClassNotFoundException e) {
                StringBuffer stringBuffer = new StringBuffer();
                if (class$com$mysql$jdbc$log$Log == null) {
                    cls2 = class$("com.mysql.jdbc.log.Log");
                    class$com$mysql$jdbc$log$Log = cls2;
                } else {
                    cls2 = class$com$mysql$jdbc$log$Log;
                }
                loggerClass = Class.forName(stringBuffer.append(cls2.getPackage().getName()).append(".").append(className).toString());
            }
            Class cls4 = loggerClass;
            Class<?>[] clsArr = new Class[1];
            if (class$java$lang$String == null) {
                cls3 = class$("java.lang.String");
                class$java$lang$String = cls3;
            } else {
                cls3 = class$java$lang$String;
            }
            clsArr[0] = cls3;
            Constructor constructor = cls4.getConstructor(clsArr);
            return (Log) constructor.newInstance(instanceName);
        } catch (ClassCastException e2) {
            StringBuffer append = new StringBuffer().append("Logger class '").append(className).append("' does not implement the '");
            if (class$com$mysql$jdbc$log$Log == null) {
                cls = class$("com.mysql.jdbc.log.Log");
                class$com$mysql$jdbc$log$Log = cls;
            } else {
                cls = class$com$mysql$jdbc$log$Log;
            }
            throw SQLError.createSQLException(append.append(cls.getName()).append("' interface").toString(), "S1009");
        } catch (ClassNotFoundException e3) {
            throw SQLError.createSQLException(new StringBuffer().append("Unable to load class for logger '").append(className).append("'").toString(), "S1009");
        } catch (IllegalAccessException e4) {
            throw SQLError.createSQLException(new StringBuffer().append("Unable to instantiate logger class '").append(className).append("', constructor not public").toString(), "S1009");
        } catch (InstantiationException e5) {
            throw SQLError.createSQLException(new StringBuffer().append("Unable to instantiate logger class '").append(className).append("', exception in constructor?").toString(), "S1009");
        } catch (NoSuchMethodException e6) {
            throw SQLError.createSQLException("Logger class does not have a single-arg constructor that takes an instance name", "S1009");
        } catch (InvocationTargetException e7) {
            throw SQLError.createSQLException(new StringBuffer().append("Unable to instantiate logger class '").append(className).append("', exception in constructor?").toString(), "S1009");
        }
    }

    static Class class$(String x0) {
        try {
            return Class.forName(x0);
        } catch (ClassNotFoundException x1) {
            throw new NoClassDefFoundError(x1.getMessage());
        }
    }
}
